Garnome 2.10.0.1 – librsvg-2.9.5 fails on moz-plugin.c

moz-plugin.c tosses a whole slew of errors when compiling librsvg-2.9.5.

Yeah, this one is super simple to fix. My default mozilla install is 1.4 and it doesn’t have the nspr, nss, and java stuff. Easy to fix since bootstrap has firefox available. I’m already running a custom firefox install but I figured it’s just as easy to build a new install with Garnome to keep everything in one spot.

Update: I guess this isn’t that simple. For some reason even when I clean out everything else, it’s still not picking up my firefox build that I did with Garnome. I had to go in and hand edit the Makefile in the moz-plugin directory to point to the firefox directories instead of the old mozilla 1.4 that is in the default location. That worked but I’ll have to figure out why I had to do it.

Leave a Reply